import {NativeModules} from 'react-native';

/*
 iOS Launch images list

 LaunchImage-700@2x.png // iphone 4/4s, 3.5 inch screen
 LaunchImage-700-568h@2x.png // iPhone 5/5s, 4.0 inch screen
 LaunchImage-800-667h@2x.png // iPhone 6/6s, 4.7 inch screen
 LaunchImage-800-Portrait-736h@3x.png // iPhone 6+/6s+, 5.5 inch screen
 LaunchImage-700-Portrait~ipad.png  // iPad 2
 LaunchImage-700-Portrait@2x~ipad.png // Retine iPads

 LaunchImage-800-Landscape-736h@3x.png  // iPhone 6+/6s+, 5.5 inch screen Landscape
 LaunchImage-700-Landscape~ipad.png // iPad 2 Landscape
 LaunchImage-700-Landscape@2x~ipad.png // Retine iPads Landscape

 */
//NativeModules.Splash.LaunchImage  (current orientation launch image file name)
//NativeModules.Splash.LaunchImagePortrait; (portrait launch image file name)
//NativeModules.Splash.LaunchImageLandscape; (landscape launch image file name)
//NativeModules.Splash.LaunchImagePath (current orientation launch image file path)
//NativeModules.Splash.LaunchImagePortraitPath; (portrait launch image file path)
//NativeModules.Splash.LaunchImageLandscapePath; (landscape launch image file path)
//NativeModules.Splash.LandscapeSameAsPortrait (is landscape launch image same as portrait image)

export default {
    hide: function (delay: number, duration: number):void { // hide splash
        NativeModules.Splash.hide(delay / 1000, duration / 1000);
    },
    update: function (url: string, onStart: Function , onProgress: Function) { // update splash file
        console.warn('Not finished yet');
    }
};
